#!/bin/sh

case "$1" in
        seticons)
                [ -z "$(grep -Eo "^pcmanfm" ~/.config/openbox/autostart.sh)" ] &&
                (sed -i 's/#pcmanfm -d/pcmanfm -d/' ~/.config/openbox/autostart.sh;\
                sed -i 's/\[Desktop\]/\[Desktop\]\nshow_desktop=1/' ~/.config/pcmanfm/main;\
                [ -z "$(pidof pcmanfm)" ] && (pcmanfm -d &) ;\
                pcmanfm --desktop-on)
        ;;
        setnoicons)
                [ -n "$(grep -Eo "^pcmanfm" ~/.config/openbox/autostart.sh)" ] &&
                (sed -i 's/^pcmanfm -d/#pcmanfm -d/g' ~/.config/openbox/autostart.sh;\
                sed -i '/show_desktop=1/d' ~/.config/pcmanfm/main;\
                pcmanfm --desktop-off)
        ;;
        *)
                echo "This script accepts the following arguments : seticons, setnoicons"
esac

